export var CURRENT_VERSION = 1;
/**
 * Retrieves a text for the specified language (should be provided as two-letter-country-code).
 * Falls back to any when no text exists for the requested language.
 *
 * Will return undefined, when neither a text for the language nor an any fallback text exist.
 *
 * @template T
 * @param {LocalizedTexts<T>} text
 * @param {string} lang
 * @returns {(T | undefined)}
 */
export var getLocalizedText = function (text, lang) {
    if (text[lang] === undefined) {
        return text.any;
    }
    return text[lang];
};
